# Local extended config

```http
GET https://api.synup.com/api/v4/local-post-ideas/extended-config
```

Returns the extended generation config for a location — brand tone, target customers, contact/address, brand colors and logos, and the services/products/content-rules used to ground post-idea generation.

Source: https://developer.synup.com/api/local-post-ideas/local-extended-config

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required | Relay-encoded location ID. |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/local-post-ideas/extended-config' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
